import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/update',
    method: 'post',
    data: row
  })
}

export const agreeSign = () => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/agreeSign',
    method: 'get',
  })
}

export const platformAdd = (row) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/platformSave',
    method: 'post',
    data: row
  })
}

export const platformUpdate = (row) => {
  return request({
    url: '/api/cyzh-bussiness-info/bussinessinfo/platformUpdate',
    method: 'post',
    data: row
  })
}

